MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Action.hxx File Reference
`#include "Compiler.h"`
`#include <upnp/upnptools.h>`
Include dependency graph for Action.hxx:

Go to the source code of this file.

## Functions
static constexpr unsigned | CountNameValuePairs ()
template<typename... Args>
static constexpr unsigned | CountNameValuePairs (gcc_unused const char *name, gcc_unused const char *value, Args...args)
template<typename... Args>
static IXML_Document * | MakeActionHelper (const char *action_name, const char *service_type, Args...args)
| A wrapper for UpnpMakeAction() that counts the number of name/value pairs and adds the nullptr sentinel. More...

## Function Documentation

static constexpr unsigned CountNameValuePairs | ( |  | ) |
| inline static

Definition at line 28 of file Action.hxx.

template<typename... Args>

static constexpr unsigned CountNameValuePairs | ( | gcc_unused const char * | name,
|  | gcc_unused const char * | value,
|  | Args... | args
| ) |  |
| inline static

Definition at line 35 of file Action.hxx.

template<typename... Args>

static IXML_Document* MakeActionHelper | ( | const char * | action_name,
|  | const char * | service_type,
|  | Args... | args
| ) |  |
| inline static

A wrapper for UpnpMakeAction() that counts the number of name/value pairs and adds the nullptr sentinel.

Definition at line 47 of file Action.hxx.